| Home | Libraries | People | FAQ | More

## Class invalid_command_line_syntax

boost::program_options::invalid_command_line_syntax —

## Synopsis

    class invalid_command_line_syntax {
    public:
      // construct/copy/destruct
      invalid_command_line_syntax(const std::string &, kind_t);

      // public member functions
      kind_t kind() const;

      // protected static functions
      std::string error_message(kind_t) ;
    };

## Description

### `invalid_command_line_syntax` construct/copy/destruct

1.     invalid_command_line_syntax(const std::string & tokens, kind_t kind);

### `invalid_command_line_syntax` public member functions

1.     kind_t kind() const;

### `invalid_command_line_syntax` protected static functions

1.     std::string error_message(kind_t kind) ;

| Copyright © 2002-2004 Vladimir Prus